Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |  

This web mail archive is frozen.

This page is part of a frozen web archive of this mailing list.

You can still navigate around this archive, but know that no new mails have been added to it since July of 2016.

Click here to be taken to the new web archives of this list; it includes all the mails that are in this frozen archive plus all new mails that have been sent to the list since it was migrated to the new archives.

Subject: [OMPI users] Torque and OpenMPI 1.2
From: pat.o'bryant_at_[hidden]
Date: 2007-12-18 11:09:58


     We have Torque as an mpi job scheduler. Additionally, I have some
users that want to modify the contents of "-hostfile" when they execute
"mpirun". To allow the modification of the hostfile, I downloaded OpenMPI
1.2 and attempted to do a "configure" with the options shown below:

./configure --prefix /opt/openmpi-1.2 --with-openib=/usr/local/ofed
--with-tm=/usr/local/pbs CC=icc CXX=icpc F77=ifort FC=ifort
--with-threads=posix --enable-mpi-threads

The configure fails with the following messages:
--------------------------------------------------------------------------
checking tm.h presence... yes
checking for tm.h... yes
looking for library in lib
checking for tm_finalize in -ltorque... no
looking for library in lib64
checking for tm_finalize in -ltorque... no
configure: error: TM support requested but not found. Aborting
--------------------------------------------------------------------------

In looking at the configure script there are typos for "hapy" for "happy".
Correcting those made no difference. The "config.log" lists an "-L"
parameter that isn't the correct path for Torque. Our release of Torque,
2.2.0, contains libraries under "/usr/local/pbs/x86_64" not
"/usr/local/pbs" so the links will fail. I am assuming that the "configure"
script does not figure out the correct path for Torque 2.2.0 libraries.

 Config log messages:
--------------------------------------------------------------------------
configure:78250: result: no
configure:78274: result: looking for library in lib64
configure:78276: checking for tm_finalize in -ltorque
configure:78306: icc -o conftest -O3 -DNDEBUG -finline-functions
-fno-strict-aliasing -restrict -pthread -I/usr/local/pbs/include
-L/usr/local/pbs/lib64 conftest.c -ltorque -lnsl -lutil >&5
ld: cannot find -ltorque
configure:78312: $? = 1
configure: failed program was:
| /* confdefs.h. */
--------------------------------------------------------------------------

So is there a "configure" script that works with Torque 2.2 and OpenMPI 1.2
?

Thanks,

J.W. (Pat) O'Bryant,Jr.
Business Line Infrastructure
Technical Systems, HPC
Office: 713-431-7022